import React, { useState } from 'react';
import { notification } from 'antd';
import SiteModal from '@/components/Modal/SiteModa';
import { deleteRole } from '@/services/RoleManage/api';
const DelModal = props => {
  const { confirmModal, itemObj } = props;
  const [loading, setLoading] = useState(false);
  const onSubmit = props => {
    setLoading(true);
    deleteRole({
      roleID: itemObj.roleID || '',
    })
      .then(res => {
        setLoading(false);
        if (res.msg==='') {
          notification.success({
            message: '通知',
            duration: 3,
            description: '删除成功',
          });
          confirmModal();
        } else {
          notification.error({
            message: '提示',
            duration: 3,
            description: res.msg,
          });
        }
      })
      .catch(err => {
        setLoading(false);
        notification.error({
          message: '提示',
          duration: 3,
          description: err,
        });
      });
  };
  return (
    <SiteModal
      {...props}
      title="删除角色"
      bodyStyle={{ width: '100%', minHeight: '50px' }}
      style={{ top: 200 }}
      width="400px"
      destroyOnClose
      cancelText="取消"
      okText="确认"
      onOk={() => onSubmit()}
      confirmLoading={loading}
    >
      是否删除角色
      <span style={{ color: 'red' }}>
        {itemObj.roleName && itemObj.roleName}
      </span>
      ?
    </SiteModal>
  );
};

export default DelModal;
